Loading...
Searching...
No Matches
etl::priority_queue_container_interface< TContainer > Struct Template Reference

`#include <priority_queue.h>`

## Public Member Functions

| ETL_STATIC_ASSERT (sizeof(TContainer)==0, "Unsupported container type for etl::ipriority_queue")

## Detailed Description

template<typename TContainer>
struct etl::priority_queue_container_interface< TContainer >

Trait to deduce the non-sized interface type of a container. Specialize for containers that can be used with ipriority_queue.

The documentation for this struct was generated from the following file:

- include/etl/priority_queue.h